import request from '@/utils/request'

// 查询查询管理的按钮列表
export function getQueryManageButtonPage(params) {
  return request({
    url: '/infra/query-manage-button/page',
    method: 'get',
    params: params
  })
}

// 查询查询管理的按钮详情
export function getQueryManageButton(id) {
  return request({
    url: '/infra/query-manage-button/get?id=' + id,
    method: 'get'
  })
}

// 新增查询管理的按钮
export function createQueryManageButton(data) {
  return request({
    url: '/infra/query-manage-button/create',
    method: 'post',
    data: data
  })
}

// 修改查询管理的按钮
export function updateQueryManageButton(data) {
  return request({
    url: '/infra/query-manage-button/update',
    method: 'put',
    data: data
  })
}

// 删除查询管理的按钮
export function deleteQueryManageButton(id) {
  return request({
    url: '/infra/query-manage-button/delete?id=' + id,
    method: 'delete'
  })
}

// 导出查询管理的按钮 Excel
export function exportQueryManageButtonApi(params) {
  return request({
    url: '/infra/query-manage-button/export-excel',
    method: 'get',
    params: params,
    responseType: 'blob'
  })
}
